Name:           liboglappth
Summary:        An OpenGL wrapper library
Version:        0.98
Release:        9%{?dist}
License:        GPLv2+
Group:          Applications/Engineering
URL:            http://www.uku.fi/~thassine/ghemical
Source0:        http://www.uku.fi/~thassine/projects/download/current/%{name}-%{version}.tar.gz
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Library for creating portable OpenGL applications with easy-to-code
scene setup and selection operations.

%package devel
Summary:    Libraries and header files from %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Libraries and header include files for developing programs
based on %{name}.

%prep
%setup -n %{name}-%{version} -q
[ -s NEWS ] && exit 1
[ -s README ] && exit 1

%build
%configure --disable-static
make %{?_smp_mflags} CCOPTIONS="%{optflags}" LIBS="-lGL -lGLU"

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" INSTALL="install -p" install
find %{buildroot}%{_libdir} -name *.la -exec rm -rf {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/liboglappth.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/oglappth/
%{_libdir}/liboglappth.so
%{_libdir}/pkgconfig/liboglappth.pc


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-9
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 23 2009 Carl Byington <carl@five-ten-sg.com> 0.98-6
- devel requires pkgconfig for EPEL

* Wed Dec 23 2009 Carl Byington <carl@five-ten-sg.com> 0.98-5
- fedora package review changes.
- install -p to preserve timestamps
- explicit includedir name
- trim changelog
- rename package to liboglappth
- fail the build if NEWS or README acquire content, since they
  are currently empty and not installed.
- add pkgconfig for EPEL

* Sun Dec 20 2009 Carl Byington <carl@five-ten-sg.com> 0.98-4
- explicit names in %%files section rather than wildcards

* Sat Dec 05 2009 Carl Byington <carl@five-ten-sg.com> 0.98-3
- main package now contains the versioned libs

* Wed Dec 02 2009 Carl Byington <carl@five-ten-sg.com> 0.98-2
- convert to fedora compatible spec file
- remove static libraries

* Mon Jan 12 2009 Guillaume Bedot <littletux@mandriva.org> 0.98-1mdv2009.1
- Revision: 328725
- Name specfile correctly
- Release 0.98

